Accounts
Change your password (signs out other sessions)
Change your password (signs out other sessions).
__Host-qm_session<token>
Session cookie set by sign-in on HTTPS deployments (the hosted demo).
In: cookie
Header Parameters
X-Requested-With*string
CSRF guard: must be quartermaster on every mutation.
Request Body
application/json
Change the signed-in user's password.
Change the signed-in user's password.
current_password*string
Length
1 <= length <= 200new_password*string
Length
12 <= length <= 200Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/auth/password/change" \ -H "X-Requested-With: quartermaster" \ -H "Content-Type: application/json" \ -d '{ "current_password": "correct-horse-battery-staple", "new_password": "a-new-strong-passphrase" }'{ "status": "changed"}